Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.spring
Class DynamicElementReader

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          grails.spring.DynamicElementReader

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class DynamicElementReader

extends groovy.lang.GroovyObjectSupport

Constructor Summary
`DynamicElementReader(String namespace)`
`DynamicElementReader(String namespace, Map namespaceMap)`
`DynamicElementReader(String namespace, Map namespaceMap, NamespaceHandler namespaceHandler)`
`DynamicElementReader(String namespace, Map namespaceMap, NamespaceHandler namespaceHandler, ParserContext parserContext)`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`protected void` | `afterInvocation()`
`BeanConfiguration` | `getBeanConfiguration()`
`boolean` | `getBeanDecorator()`
`EntityResolver` | `getEntityResolver()`
`ErrorHandler` | `getErrorHandler()`
`boolean` | `getFirstCall()`
`NamespaceHandler` | `getNamespaceHandler()`
`ParserContext` | `getParserContext()`
`int` | `getValidationMode()`
`Object` | `invokeMethod(String name, Object args)`
`boolean` | `isBeanDecorator()`
`boolean` | `isFirstCall()`
`void` | `setBeanConfiguration(BeanConfiguration value)`
`void` | `setBeanDecorator(boolean value)`
`void` | `setClassLoader(ClassLoader classLoader)`
`void` | `setEntityResolver(EntityResolver value)`
`void` | `setErrorHandler(ErrorHandler value)`
`void` | `setFirstCall(boolean value)`
`void` | `setNamespaceHandler(NamespaceHandler value)`
`void` | `setParserContext(ParserContext value)`
`void` | `setValidationMode(int value)`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, getProperty, setMetaClass, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicElementReader

    public DynamicElementReader(String namespace,
                                Map namespaceMap,
                                NamespaceHandler namespaceHandler,
                                ParserContext parserContext)

### DynamicElementReader

    public DynamicElementReader(String namespace,
                                Map namespaceMap,
                                NamespaceHandler namespaceHandler)

### DynamicElementReader

    public DynamicElementReader(String namespace,
                                Map namespaceMap)

### DynamicElementReader

    public DynamicElementReader(String namespace)

Method Detail

### getErrorHandler

    public ErrorHandler getErrorHandler()

### setErrorHandler

    public void setErrorHandler(ErrorHandler value)

### getValidationMode

    public int getValidationMode()

### setValidationMode

    public void setValidationMode(int value)

### getEntityResolver

    public EntityResolver getEntityResolver()

### setEntityResolver

    public void setEntityResolver(EntityResolver value)

### getParserContext

    public ParserContext getParserContext()

### setParserContext

    public void setParserContext(ParserContext value)

### getNamespaceHandler

    public NamespaceHandler getNamespaceHandler()

### setNamespaceHandler

    public void setNamespaceHandler(NamespaceHandler value)

### getBeanConfiguration

    public BeanConfiguration getBeanConfiguration()

### setBeanConfiguration

    public void setBeanConfiguration(BeanConfiguration value)

### getBeanDecorator

    public boolean getBeanDecorator()

### isBeanDecorator

    public boolean isBeanDecorator()

### setBeanDecorator

    public void setBeanDecorator(boolean value)

### getFirstCall

    public boolean getFirstCall()

### isFirstCall

    public boolean isFirstCall()

### setFirstCall

    public void setFirstCall(boolean value)

### setClassLoader

    public void setClassLoader(ClassLoader classLoader)

### afterInvocation

    protected void afterInvocation()

### invokeMethod

    public Object invokeMethod(String name,
                               Object args)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`
  Overrides:
    `invokeMethod` in class `groovy.lang.GroovyObjectSupport`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project